#
# spec file for package four-in-a-row
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           four-in-a-row
Version:        3.38.1
Release:        bp155.2.15
Summary:        Connect Four Game for GNOME
# License notice: Source code is GPL-2.0+, Icon themes are GPL-3.0+
License:        GPL-2.0-or-later AND GPL-3.0-or-later
Group:          Amusements/Games/Board/Other
URL:            https://wiki.gnome.org/Apps/Four-in-a-row
Source0:        https://download.gnome.org/sources/four-in-a-row/3.38/%{name}-%{version}.tar.xz

BuildRequires:  fdupes
BuildRequires:  itstool
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gsound) >= 1.0.2
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.24.0
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.32.0

%description
The object of Four-in-a-Row is to place four pieces in a vertical,
horizontal, or diagonal row while the opponent tries to block and make
his/her own row of four. Four-in-a-Row can be played against another
human or the computer.

%lang_package

%prep
%autosetup -p1

%build
%meson \
	%{nil}
%meson_build

%install
%meson_install
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}/%{_datadir}

%files
%license COPYING
%doc NEWS
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/org.gnome.Four-in-a-row.appdata.xml
%{_datadir}/applications/org.gnome.Four-in-a-row.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Four-in-a-row.gschema.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.Four-in-a-row*
%{_mandir}/man6/%{name}.6%{?ext_man}
%{_datadir}/dbus-1/services/org.gnome.Four-in-a-row.service

%files lang -f %{name}.lang

%changelog
* Thu Oct  8 2020 dimstar@opensuse.org
- Update to version 3.38.1:
  + Updated translations.
* Thu Oct  8 2020 dimstar@opensuse.org
- Update to version 3.38.0:
  + Updated translations.
* Thu Oct  8 2020 dimstar@opensuse.org
- Update to version 3.37.91:
  + Updated translations.
- Changes from version 3.37.2:
  + A bit of code modernization and some shortcuts fixes.
* Wed Oct  7 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.36.7:
  + Fix for translation help overlay.
  + Updated translations.
* Mon Jul  6 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.36.4:
  + Fix typo in appdata.
  + Updated translations.
* Fri Jun  5 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.36.3:
  + Updated translations.
* Sat Apr 25 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.36.2:
  + Updated translations.
* Tue Mar 10 2020 bjorn.lie@gmail.com
- Update to version 3.36.0:
  + Updated translations.
* Mon Mar  2 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.35.92:
  + Updated help.
  + Updated translations.
* Tue Feb 18 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 3.35.91:
  + The transition from start screen to game has been changed.
  + Updated translations.
* Fri Feb 14 2020 dimstar@opensuse.org
- Update to version 3.35.90:
  + The Game button now indicates who is the next player, as in
    Reversi (aka Iagno).
  + There is now a command-line option for targeting a different
    line length than 4.
- Changes from version 3.53.3:
  + The main window layout has been completely rewritten, based on
    the one of Reversi (Iagno, 3.34).
  + It is now using a New Game screen, in which you enter using a
    New Game button in the headerbar.
  + Preferences dialog has been removed.
  + There is now a Sound toggle in the hamburger menu, with also an
    Appearance submenu for switching theme.
  + The game board had various fixes and changes, notably a delay
    added before computer moves (that solves the bug on “down”
    holding), and the blinking for every winning lines.
  + There is also a basic command-line support (for setting level,
    board size, and sound state, or getting release version).
  + A new Keyboard Shortcuts dialog.
  + D-Bus activation support.
  + Updated translations.
* Fri Feb 14 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.34.4:
  + Metadata fixes.
  + Updated translations.
* Sat Jan 25 2020 Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend -lang: supplements are in use
* Mon Jan  6 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.34.3:
  + Just fixing the F1 (help) shortcut.
* Mon Oct  7 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.34.1:
  + Updated translations.
* Thu Sep 12 2019 qkzhu@suse.com
- Update to version 3.34.0:
  + Updated translation.
* Fri Sep  6 2019 qkzhu@suse.com
- Update to version 3.33.92:
  + The board drawing method has been a bit modified, to look better
    if its size is not divisible by 8.
  + Updated translation.
- Changes from version 3.33.91:
  + Two small bugs fixed, all looks good.
  + Updated translation.
- Changes from version 3.33.90:
  + GSound library replaced LibCanberra.
  + Updated translation.
- Replace pkgconfig(libcanberra-gtk3) with pkgconfig(gsound)
  BuildRequires following upstream changes.
* Mon Mar 11 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.32.0:
  + Updated translations.
* Mon Mar  4 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.31.92:
  + Fix internationalization of move hints.
  + Updates to user help.
* Wed Feb 20 2019 bjorn.lie@gmail.com
- Update to version 3.31.90:
  + Game rewritten in Vala.
  + Switch to Meson build system.
  + Add F10 accelerator to open menu.
  + Several improvements to user help.
- Switch to meson build system, add meson BuildRequires and macros.
- Stop handling glib2_gsettings_schema_post(un),
  desktop_database_post(un) and icon_theme_cache_post(un) in
  post(un) and drop glib2_gsettings_schema_requires.
- Add itstool and vala BuildRequires: New dependencies.
- Drop update-desktop-files, yelp-tools and hicolor-icon-theme
  BuildRequires and suse_update_desktop_file macro: No longer
  needed.
- Add fdupes BuildRequires and macro, remove duplicates.
- Drop gnect and gnect-lang Obsoletes: No current openSUSE release
  have ever shipped them.
* Sun Mar 11 2018 dimstar@opensuse.org
- Update to version 3.28.0:
  + Updated translations.
* Mon Mar  5 2018 dimstar@opensuse.org
- Update to version 3.27.92:
  + bgo#793485: Play sounds using the default libcanberra-gtk3
    context.
  + Updated translations.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Tue Feb  6 2018 dimstar@opensuse.org
- Update to version 3.27.90:
  + Use gettext for translations.
  + Allow double-buffering.
  + Updated translations.
- Drop intltool BuildRequires: no longer needed as upstream
  migrated to gettext.
* Sat Sep  9 2017 dimstar@opensuse.org
- Update to version 3.22.2:
  + Updated translations.
* Fri Nov 11 2016 dimstar@opensuse.org
- Update to version 3.22.1:
  + Updated translations.
* Mon Sep 19 2016 zaitor@opensuse.org
- Update to version 3.22.0:
  + Updated translations.
* Mon Aug 22 2016 zaitor@opensuse.org
- Update to version 3.21.90:
  + Simplify style-checker enabling code.
  + Fix style-checker with new libgnome-games-support.
  + Add Language headers to po files.
  + Updated translations.
* Sat May  7 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Updated translations.
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Mon Feb 29 2016 zaitor@opensuse.org
- Update to version 3.19.91:
  + New hires app icon.
  + Updated translations.
- Fix url to point to https://wiki.gnome.org/Apps/Four-in-a-row.
* Fri Nov  6 2015 zaitor@opensuse.org
- Update to version 3.18.2:
  + Updated translations.
* Sun Oct 11 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Updated translations.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Mon Sep 14 2015 dimstar@opensuse.org
- Update to version 3.17.92:
  + Fix dragging the window after clicking on the game view.
  + Updated translations.
* Thu Aug 13 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Make sure keyboard shortcuts are unique.
* Tue May 12 2015 zaitor@opensuse.org
- Update to version 3.16.2:
  + Add symbolic icon.
- Remove HighContrast %%icon_theme_cache_post(un) calls, as Symbolic
  icons have replaced them.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + Updated translations.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Removed New Game from the app menu.
  + Updated translations.
* Wed Nov 19 2014 zaitor@opensuse.org
- Update to version 3.15.1:
  + Code cleanups.
  + Updated translations.
* Wed Nov 12 2014 zaitor@opensuse.org
- Update to version 3.14.2:
  + Updated translations.
* Fri Oct 10 2014 dimstar@opensuse.org
- Update to version 3.14.1:
  + Start new piece in the middle, instead of the last column.
  + Fix regression that allowed multiple windows with nonsense
    behavior.
  + Updated translations.
* Mon Sep 22 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + Updated appdata.
  + Updated translations.
* Tue Sep 16 2014 zaitor@opensuse.org
- Update to version 3.13.92:
  + Update desktop icon so that it displays a real game position.
  + Fix high contrast pieces sometimes appearing "stacked".
  + Fix width of text buttons.
  + Fix sensitivity of hint button.
  + Fix internationalization of piece types.
  + Remove binary data file used by the old AI.
  + Updated translations.
* Tue Aug 19 2014 dimstar@opensuse.org
- Update to version 3.13.90:
  + Use text buttons.
  + Move undo to header bar.
  + Use header bar in scores dialog.
  + Window layout improvements.
  + Updated translations.
* Mon Jul 21 2014 dimstar@opensuse.org
- Update to version 3.13.4:
  + Add missing function prototypes.
  + Make AI tests less likely to fail.
  + Updated translations.
* Sat Jul 12 2014 dimstar@opensuse.org
- Update to version 3.13.3:
  + New AI that should be much easier to beat.
  + Improve internationalization of status messages.
  + Use a header bar on the preferences dialog.
  + Updated translations.
* Wed Jul  2 2014 zaitor@opensuse.org
- Update to version 3.12.3:
  + Fix opponent in preferences dialog.
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.2:
  + Update translations.
* Mon Apr 14 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Fix GTK+ build requirement.
  + Update translations.
* Mon Mar 24 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Updated translations.
* Mon Mar 17 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Disable Hint after Undo to start if the computer moves first.
  + Distribute new file COPYING.faenza-themes.
  + Help: scores page should not mention theme-specific colors.
  + Updated translations.
- Update License tag to GPL-2.0+ and GPL-3.0+ (GPL-2.0+ for the
  source/program code, GPL-3.0+ for the themes).
* Tue Feb 18 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + New themes.
  + All old themes, except for the high contrast themes, have been
    removed.
  + Removed the menu bar and status bar.
  + Added a header bar.
  + Undo, Hint, and New Game buttons added into the window.
  + Use an application menu.
  + The game now properly displays the winner in two-player games.
  + Fullscreen mode has been removed, since it doesn't look very
    good.
  + It is no longer possible to request a hint twice in a row.
  + It is no longer possible to start a computer vs. computer game.
  + It is no longer possible to disable animations.
  + Added tooltips to all buttons.
  + Updated translations.
- .desktop file got renamed to four-in-a-row from gnect.
* Mon Dec 16 2013 dimstar@opensuse.org
- Update to version 3.11.3:
  + Update AppData.
  + build: make *-validate optional.
- Changes from version 3.11.1:
  + Require intltool 0.50.
  + Remove BugBuddy support.
  + Update AppData.
  + Updated translations.
* Sun Oct 13 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + Updated translations.
* Mon Sep 23 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Updated translations.
* Mon Sep 16 2013 dimstar@opensuse.org
- Update to version 3.9.92:
  + Add appdata file.
* Tue Aug 20 2013 dimstar@opensuse.org
- Update to version 3.9.90:
  + Rewritten user help in Mallard.
  + Program name displays properly in GNOME Shell when not launched
    by the shell.
  + Updated translations.
* Mon Apr 15 2013 dimstar@opensuse.org
- Update to version 3.8.1:
  + Updated trranslations.
* Mon Apr  8 2013 dimstar@opensuse.org
- Also obsolete -lang package.
* Wed Mar 27 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updated translations.
* Tue Mar 19 2013 dimstar@opensuse.org
- Update to version 3.7.92:
  + Added high contrast icons.
  + Renamed destktop file back to gnect.desktop.
  + Updated translations.
* Tue Mar  5 2013 dimstar@opensuse.org
- Initial package, version 3.7.90: split-off from gnome-games.
